# Uses of Class
org.apache.lucene.analysis.hunspell.SuggestionTimeoutException

Packages that use SuggestionTimeoutException
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

- ## Uses of SuggestionTimeoutException in org.apache.lucene.analysis.hunspell

  Methods in org.apache.lucene.analysis.hunspell that throw SuggestionTimeoutException
  Modifier and Type
  Method
  Description
  `List<String>`
  Hunspell.`suggest(String word)`
  `List<String>`
  Hunspell.`suggest(String word, long timeLimitMs)`
  `List<String>`
  Suggester.`suggestWithTimeout(String word, long timeLimitMs, Runnable checkCanceled)`